App\Library\Amazon\Classes\OutdoorRecreationProduct:
    xml_root_name: OutdoorRecreationProduct
    properties:
        mfrWarrantyDescriptionType:
            expose: true
            access_type: public_method
            serialized_name: MfrWarrantyDescriptionType
            accessor:
                getter: getMfrWarrantyDescriptionType
                setter: setMfrWarrantyDescriptionType
            type: string
        sellerWarrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: SellerWarrantyDescription
            accessor:
                getter: getSellerWarrantyDescription
                setter: setSellerWarrantyDescription
            type: string
        color:
            expose: true
            access_type: public_method
            serialized_name: Color
            accessor:
                getter: getColor
                setter: setColor
            type: string
        colorMap:
            expose: true
            access_type: public_method
            serialized_name: ColorMap
            accessor:
                getter: getColorMap
                setter: setColorMap
            type: string
        closureType:
            expose: true
            access_type: public_method
            serialized_name: ClosureType
            accessor:
                getter: getClosureType
                setter: setClosureType
            type: string
        patternName:
            expose: true
            access_type: public_method
            serialized_name: PatternName
            accessor:
                getter: getPatternName
                setter: setPatternName
            type: string
        eventName:
            expose: true
            access_type: public_method
            serialized_name: EventName
            accessor:
                getter: getEventName
                setter: setEventName
            type: string
        fabricType:
            expose: true
            access_type: public_method
            serialized_name: FabricType
            accessor:
                getter: getFabricType
                setter: setFabricType
            type: string
        importDesignation:
            expose: true
            access_type: public_method
            serialized_name: ImportDesignation
            accessor:
                getter: getImportDesignation
                setter: setImportDesignation
            type: string
        countryAsLabeled:
            expose: true
            access_type: public_method
            serialized_name: CountryAsLabeled
            accessor:
                getter: getCountryAsLabeled
                setter: setCountryAsLabeled
            type: string
        furDescription:
            expose: true
            access_type: public_method
            serialized_name: FurDescription
            accessor:
                getter: getFurDescription
                setter: setFurDescription
            type: string
        includedFeatures:
            expose: true
            access_type: public_method
            serialized_name: IncludedFeatures
            accessor:
                getter: getIncludedFeatures
                setter: setIncludedFeatures
            type: string
        materialType:
            expose: true
            access_type: public_method
            serialized_name: MaterialType
            accessor:
                getter: getMaterialType
                setter: setMaterialType
            type: string
        itemPackageContents:
            expose: true
            access_type: public_method
            serialized_name: ItemPackageContents
            accessor:
                getter: getItemPackageContents
                setter: setItemPackageContents
            type: string
        seasons:
            expose: true
            access_type: public_method
            serialized_name: Seasons
            accessor:
                getter: getSeasons
                setter: setSeasons
            type: string
        sizeMap:
            expose: true
            access_type: public_method
            serialized_name: SizeMap
            accessor:
                getter: getSizeMap
                setter: setSizeMap
            type: string
        size:
            expose: true
            access_type: public_method
            serialized_name: Size
            accessor:
                getter: getSize
                setter: setSize
            type: string
        skillLevel:
            expose: true
            access_type: public_method
            serialized_name: SkillLevel
            accessor:
                getter: getSkillLevel
                setter: setSkillLevel
            type: string
        sportType:
            expose: true
            access_type: public_method
            serialized_name: SportType
            accessor:
                getter: getSportType
                setter: setSportType
            type: string
        floorLength:
            expose: true
            access_type: public_method
            serialized_name: FloorLength
            accessor:
                getter: getFloorLength
                setter: setFloorLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        floorWidth:
            expose: true
            access_type: public_method
            serialized_name: FloorWidth
            accessor:
                getter: getFloorWidth
                setter: setFloorWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        minimumTensionRating:
            expose: true
            access_type: public_method
            serialized_name: MinimumTensionRating
            accessor:
                getter: getMinimumTensionRating
                setter: setMinimumTensionRating
            type: App\Library\Amazon\Classes\WeightDimensionType
        numberOfResistanceLevels:
            expose: true
            access_type: public_method
            serialized_name: NumberOfResistanceLevels
            accessor:
                getter: getNumberOfResistanceLevels
                setter: setNumberOfResistanceLevels
            type: integer
        targetZoneCalculationType:
            expose: true
            access_type: public_method
            serialized_name: TargetZoneCalculationType
            accessor:
                getter: getTargetZoneCalculationType
                setter: setTargetZoneCalculationType
            type: integer
        maximumTensionRating:
            expose: true
            access_type: public_method
            serialized_name: MaximumTensionRating
            accessor:
                getter: getMaximumTensionRating
                setter: setMaximumTensionRating
            type: App\Library\Amazon\Classes\WeightDimensionType
        numberOfExercises:
            expose: true
            access_type: public_method
            serialized_name: NumberOfExercises
            accessor:
                getter: getNumberOfExercises
                setter: setNumberOfExercises
            type: integer
        controlProgramName:
            expose: true
            access_type: public_method
            serialized_name: ControlProgramName
            accessor:
                getter: getControlProgramName
                setter: setControlProgramName
            type: string
        resistanceMechanism:
            expose: true
            access_type: public_method
            serialized_name: ResistanceMechanism
            accessor:
                getter: getResistanceMechanism
                setter: setResistanceMechanism
            type: string
        scaleName:
            expose: true
            access_type: public_method
            serialized_name: ScaleName
            accessor:
                getter: getScaleName
                setter: setScaleName
            type: string
        numberOfPrograms:
            expose: true
            access_type: public_method
            serialized_name: NumberOfPrograms
            accessor:
                getter: getNumberOfPrograms
                setter: setNumberOfPrograms
            type: integer
        constructionType:
            expose: true
            access_type: public_method
            serialized_name: ConstructionType
            accessor:
                getter: getConstructionType
                setter: setConstructionType
            type: string
        alarm:
            expose: true
            access_type: public_method
            serialized_name: Alarm
            accessor:
                getter: getAlarm
                setter: setAlarm
            type: string
        maximumResistance:
            expose: true
            access_type: public_method
            serialized_name: MaximumResistance
            accessor:
                getter: getMaximumResistance
                setter: setMaximumResistance
            type: App\Library\Amazon\Classes\WeightDimensionType
        ingredients:
            expose: true
            access_type: public_method
            serialized_name: Ingredients
            accessor:
                getter: getIngredients
                setter: setIngredients
            type: string
        floorArea:
            expose: true
            access_type: public_method
            serialized_name: FloorArea
            accessor:
                getter: getFloorArea
                setter: setFloorArea
            type: App\Library\Amazon\Classes\AreaDimensionType
        beltStyle:
            expose: true
            access_type: public_method
            serialized_name: BeltStyle
            accessor:
                getter: getBeltStyle
                setter: setBeltStyle
            type: string
        bottomStyle:
            expose: true
            access_type: public_method
            serialized_name: BottomStyle
            accessor:
                getter: getBottomStyle
                setter: setBottomStyle
            type: string
        collarType:
            expose: true
            access_type: public_method
            serialized_name: CollarType
            accessor:
                getter: getCollarType
                setter: setCollarType
            type: string
        cuffType:
            expose: true
            access_type: public_method
            serialized_name: CuffType
            accessor:
                getter: getCuffType
                setter: setCuffType
            type: string
        cupSize:
            expose: true
            access_type: public_method
            serialized_name: CupSize
            accessor:
                getter: getCupSize
                setter: setCupSize
            type: string
        department:
            expose: true
            access_type: public_method
            serialized_name: Department
            accessor:
                getter: getDepartment
                setter: setDepartment
            type: string
        fabricWash:
            expose: true
            access_type: public_method
            serialized_name: FabricWash
            accessor:
                getter: getFabricWash
                setter: setFabricWash
            type: string
        frontStyle:
            expose: true
            access_type: public_method
            serialized_name: FrontStyle
            accessor:
                getter: getFrontStyle
                setter: setFrontStyle
            type: string
        gloveType:
            expose: true
            access_type: public_method
            serialized_name: GloveType
            accessor:
                getter: getGloveType
                setter: setGloveType
            type: string
        legStyle:
            expose: true
            access_type: public_method
            serialized_name: LegStyle
            accessor:
                getter: getLegStyle
                setter: setLegStyle
            type: string
        neckStyle:
            expose: true
            access_type: public_method
            serialized_name: NeckStyle
            accessor:
                getter: getNeckStyle
                setter: setNeckStyle
            type: string
        patternType:
            expose: true
            access_type: public_method
            serialized_name: PatternType
            accessor:
                getter: getPatternType
                setter: setPatternType
            type: string
        pocketDescription:
            expose: true
            access_type: public_method
            serialized_name: PocketDescription
            accessor:
                getter: getPocketDescription
                setter: setPocketDescription
            type: string
        shoeWidth:
            expose: true
            access_type: public_method
            serialized_name: ShoeWidth
            accessor:
                getter: getShoeWidth
                setter: setShoeWidth
            type: string
        sleeveType:
            expose: true
            access_type: public_method
            serialized_name: SleeveType
            accessor:
                getter: getSleeveType
                setter: setSleeveType
            type: string
        sleeveLength:
            expose: true
            access_type: public_method
            serialized_name: SleeveLength
            accessor:
                getter: getSleeveLength
                setter: setSleeveLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        riseStyle:
            expose: true
            access_type: public_method
            serialized_name: RiseStyle
            accessor:
                getter: getRiseStyle
                setter: setRiseStyle
            type: string
        strapType:
            expose: true
            access_type: public_method
            serialized_name: StrapType
            accessor:
                getter: getStrapType
                setter: setStrapType
            type: string
        supportType:
            expose: true
            access_type: public_method
            serialized_name: SupportType
            accessor:
                getter: getSupportType
                setter: setSupportType
            type: string
        theme:
            expose: true
            access_type: public_method
            serialized_name: Theme
            accessor:
                getter: getTheme
                setter: setTheme
            type: string
        topStyle:
            expose: true
            access_type: public_method
            serialized_name: TopStyle
            accessor:
                getter: getTopStyle
                setter: setTopStyle
            type: string
        underwireType:
            expose: true
            access_type: public_method
            serialized_name: UnderwireType
            accessor:
                getter: getUnderwireType
                setter: setUnderwireType
            type: string
        uVProtection:
            expose: true
            access_type: public_method
            serialized_name: UVProtection
            accessor:
                getter: getUVProtection
                setter: setUVProtection
            type: integer
        waistSize:
            expose: true
            access_type: public_method
            serialized_name: WaistSize
            accessor:
                getter: getWaistSize
                setter: setWaistSize
            type: App\Library\Amazon\Classes\LengthDimensionType
        softwareIncluded:
            expose: true
            access_type: public_method
            serialized_name: SoftwareIncluded
            accessor:
                getter: getSoftwareIncluded
                setter: setSoftwareIncluded
            type: string
        rimSize:
            expose: true
            access_type: public_method
            serialized_name: RimSize
            accessor:
                getter: getRimSize
                setter: setRimSize
            type: App\Library\Amazon\Classes\LengthDimensionType
        crankLength:
            expose: true
            access_type: public_method
            serialized_name: CrankLength
            accessor:
                getter: getCrankLength
                setter: setCrankLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        frameType:
            expose: true
            access_type: public_method
            serialized_name: FrameType
            accessor:
                getter: getFrameType
                setter: setFrameType
            type: string
        topTubeLength:
            expose: true
            access_type: public_method
            serialized_name: TopTubeLength
            accessor:
                getter: getTopTubeLength
                setter: setTopTubeLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        wheelSize:
            expose: true
            access_type: public_method
            serialized_name: WheelSize
            accessor:
                getter: getWheelSize
                setter: setWheelSize
            type: App\Library\Amazon\Classes\LengthDimensionType
        brakeWidth:
            expose: true
            access_type: public_method
            serialized_name: BrakeWidth
            accessor:
                getter: getBrakeWidth
                setter: setBrakeWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        seatHeight:
            expose: true
            access_type: public_method
            serialized_name: SeatHeight
            accessor:
                getter: getSeatHeight
                setter: setSeatHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        bikeType:
            expose: true
            access_type: public_method
            serialized_name: BikeType
            accessor:
                getter: getBikeType
                setter: setBikeType
            type: string
        inseamLength:
            expose: true
            access_type: public_method
            serialized_name: InseamLength
            accessor:
                getter: getInseamLength
                setter: setInseamLength
            type: App\Library\Amazon\Classes\NeckSizeDimensionType
        brakeType:
            expose: true
            access_type: public_method
            serialized_name: BrakeType
            accessor:
                getter: getBrakeType
                setter: setBrakeType
            type: string
        suspensionType:
            expose: true
            access_type: public_method
            serialized_name: SuspensionType
            accessor:
                getter: getSuspensionType
                setter: setSuspensionType
            type: string
        frameMaterialType:
            expose: true
            access_type: public_method
            serialized_name: FrameMaterialType
            accessor:
                getter: getFrameMaterialType
                setter: setFrameMaterialType
            type: string
        assemblyInstructions:
            expose: true
            access_type: public_method
            serialized_name: AssemblyInstructions
            accessor:
                getter: getAssemblyInstructions
                setter: setAssemblyInstructions
            type: string
        speed:
            expose: true
            access_type: public_method
            serialized_name: Speed
            accessor:
                getter: getSpeed
                setter: setSpeed
            type: integer
        resistance:
            expose: true
            access_type: public_method
            serialized_name: Resistance
            accessor:
                getter: getResistance
                setter: setResistance
            type: integer
        frameSize:
            expose: true
            access_type: public_method
            serialized_name: FrameSize
            accessor:
                getter: getFrameSize
                setter: setFrameSize
            type: App\Library\Amazon\Classes\LengthDimensionType
        lockType:
            expose: true
            access_type: public_method
            serialized_name: LockType
            accessor:
                getter: getLockType
                setter: setLockType
            type: string
        amperage:
            expose: true
            access_type: public_method
            serialized_name: Amperage
            accessor:
                getter: getAmperage
                setter: setAmperage
            type: App\Library\Amazon\Classes\AmperageDimensionType
        divingClothingThickness:
            expose: true
            access_type: public_method
            serialized_name: DivingClothingThickness
            accessor:
                getter: getDivingClothingThickness
                setter: setDivingClothingThickness
            type: integer
        tensionLevel:
            expose: true
            access_type: public_method
            serialized_name: TensionLevel
            accessor:
                getter: getTensionLevel
                setter: setTensionLevel
            type: string
        bearingMaterialType:
            expose: true
            access_type: public_method
            serialized_name: BearingMaterialType
            accessor:
                getter: getBearingMaterialType
                setter: setBearingMaterialType
            type: string
        sonarType:
            expose: true
            access_type: public_method
            serialized_name: SonarType
            accessor:
                getter: getSonarType
                setter: setSonarType
            type: string
        beamWidth:
            expose: true
            access_type: public_method
            serialized_name: BeamWidth
            accessor:
                getter: getBeamWidth
                setter: setBeamWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        numberOfSpeeds:
            expose: true
            access_type: public_method
            serialized_name: NumberOfSpeeds
            accessor:
                getter: getNumberOfSpeeds
                setter: setNumberOfSpeeds
            type: integer
        lifeVestType:
            expose: true
            access_type: public_method
            serialized_name: LifeVestType
            accessor:
                getter: getLifeVestType
                setter: setLifeVestType
            type: string
        maximumHorsepower:
            expose: true
            access_type: public_method
            serialized_name: MaximumHorsepower
            accessor:
                getter: getMaximumHorsepower
                setter: setMaximumHorsepower
            type: integer
        motorType:
            expose: true
            access_type: public_method
            serialized_name: MotorType
            accessor:
                getter: getMotorType
                setter: setMotorType
            type: string
        rotationDirection:
            expose: true
            access_type: public_method
            serialized_name: RotationDirection
            accessor:
                getter: getRotationDirection
                setter: setRotationDirection
            type: string
        numberOfPowerLevels:
            expose: true
            access_type: public_method
            serialized_name: NumberOfPowerLevels
            accessor:
                getter: getNumberOfPowerLevels
                setter: setNumberOfPowerLevels
            type: integer
        locationAccuracy:
            expose: true
            access_type: public_method
            serialized_name: LocationAccuracy
            accessor:
                getter: getLocationAccuracy
                setter: setLocationAccuracy
            type: string
        navigationRoutes:
            expose: true
            access_type: public_method
            serialized_name: NavigationRoutes
            accessor:
                getter: getNavigationRoutes
                setter: setNavigationRoutes
            type: integer
        itemImpactForce:
            expose: true
            access_type: public_method
            serialized_name: ItemImpactForce
            accessor:
                getter: getItemImpactForce
                setter: setItemImpactForce
            type: integer
        bladeShape:
            expose: true
            access_type: public_method
            serialized_name: BladeShape
            accessor:
                getter: getBladeShape
                setter: setBladeShape
            type: string
        bootSize:
            expose: true
            access_type: public_method
            serialized_name: BootSize
            accessor:
                getter: getBootSize
                setter: setBootSize
            type: integer
        calfSize:
            expose: true
            access_type: public_method
            serialized_name: CalfSize
            accessor:
                getter: getCalfSize
                setter: setCalfSize
            type: string
        capacity:
            expose: true
            access_type: public_method
            serialized_name: Capacity
            accessor:
                getter: getCapacity
                setter: setCapacity
            type: App\Library\Amazon\Classes\VolumeDimensionType
        flavor:
            expose: true
            access_type: public_method
            serialized_name: Flavor
            accessor:
                getter: getFlavor
                setter: setFlavor
            type: string
        lensColor:
            expose: true
            access_type: public_method
            serialized_name: LensColor
            accessor:
                getter: getLensColor
                setter: setLensColor
            type: string
        fittingType:
            expose: true
            access_type: public_method
            serialized_name: FittingType
            accessor:
                getter: getFittingType
                setter: setFittingType
            type: string
        numberOfPockets:
            expose: true
            access_type: public_method
            serialized_name: NumberOfPockets
            accessor:
                getter: getNumberOfPockets
                setter: setNumberOfPockets
            type: integer
        fuelCapacity:
            expose: true
            access_type: public_method
            serialized_name: FuelCapacity
            accessor:
                getter: getFuelCapacity
                setter: setFuelCapacity
            type: App\Library\Amazon\Classes\VolumeDimensionType
        bladeType:
            expose: true
            access_type: public_method
            serialized_name: BladeType
            accessor:
                getter: getBladeType
                setter: setBladeType
            type: string
        maximumCompatibleBootSize:
            expose: true
            access_type: public_method
            serialized_name: MaximumCompatibleBootSize
            accessor:
                getter: getMaximumCompatibleBootSize
                setter: setMaximumCompatibleBootSize
            type: App\Library\Amazon\Classes\BootSizeDimensionType
        minimumCompatibleBootSize:
            expose: true
            access_type: public_method
            serialized_name: MinimumCompatibleBootSize
            accessor:
                getter: getMinimumCompatibleBootSize
                setter: setMinimumCompatibleBootSize
            type: App\Library\Amazon\Classes\BootSizeDimensionType
        apparentScaleSize:
            expose: true
            access_type: public_method
            serialized_name: ApparentScaleSize
            accessor:
                getter: getApparentScaleSize
                setter: setApparentScaleSize
            type: App\Library\Amazon\Classes\LengthDimensionType
        minimumCompatibleRopeDiameter:
            expose: true
            access_type: public_method
            serialized_name: MinimumCompatibleRopeDiameter
            accessor:
                getter: getMinimumCompatibleRopeDiameter
                setter: setMinimumCompatibleRopeDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        maximumCompatibleRopeDiameter:
            expose: true
            access_type: public_method
            serialized_name: MaximumCompatibleRopeDiameter
            accessor:
                getter: getMaximumCompatibleRopeDiameter
                setter: setMaximumCompatibleRopeDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        turnRadius:
            expose: true
            access_type: public_method
            serialized_name: TurnRadius
            accessor:
                getter: getTurnRadius
                setter: setTurnRadius
            type: App\Library\Amazon\Classes\LengthDimensionType
        numberOfDoors:
            expose: true
            access_type: public_method
            serialized_name: NumberOfDoors
            accessor:
                getter: getNumberOfDoors
                setter: setNumberOfDoors
            type: integer
        staticElongationPercentage:
            expose: true
            access_type: public_method
            serialized_name: StaticElongationPercentage
            accessor:
                getter: getStaticElongationPercentage
                setter: setStaticElongationPercentage
            type: float
        uIAAFallRating:
            expose: true
            access_type: public_method
            serialized_name: UIAAFallRating
            accessor:
                getter: getUIAAFallRating
                setter: setUIAAFallRating
            type: integer
        numberOfGearLoops:
            expose: true
            access_type: public_method
            serialized_name: NumberOfGearLoops
            accessor:
                getter: getNumberOfGearLoops
                setter: setNumberOfGearLoops
            type: integer
        effectiveEdgeLength:
            expose: true
            access_type: public_method
            serialized_name: EffectiveEdgeLength
            accessor:
                getter: getEffectiveEdgeLength
                setter: setEffectiveEdgeLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        accessLocation:
            expose: true
            access_type: public_method
            serialized_name: AccessLocation
            accessor:
                getter: getAccessLocation
                setter: setAccessLocation
            type: string
        boilRateDescription:
            expose: true
            access_type: public_method
            serialized_name: BoilRateDescription
            accessor:
                getter: getBoilRateDescription
                setter: setBoilRateDescription
            type: string
        fillMaterialType:
            expose: true
            access_type: public_method
            serialized_name: FillMaterialType
            accessor:
                getter: getFillMaterialType
                setter: setFillMaterialType
            type: string
        soundPressure:
            expose: true
            access_type: public_method
            serialized_name: SoundPressure
            accessor:
                getter: getSoundPressure
                setter: setSoundPressure
            type: float
        capType:
            expose: true
            access_type: public_method
            serialized_name: CapType
            accessor:
                getter: getCapType
                setter: setCapType
            type: string
        mountType:
            expose: true
            access_type: public_method
            serialized_name: MountType
            accessor:
                getter: getMountType
                setter: setMountType
            type: string
        stateString:
            expose: true
            access_type: public_method
            serialized_name: StateString
            accessor:
                getter: getStateString
                setter: setStateString
            type: string
        lampType:
            expose: true
            access_type: public_method
            serialized_name: LampType
            accessor:
                getter: getLampType
                setter: setLampType
            type: string
        numberOfPages:
            expose: true
            access_type: public_method
            serialized_name: NumberOfPages
            accessor:
                getter: getNumberOfPages
                setter: setNumberOfPages
            type: integer
        mapType:
            expose: true
            access_type: public_method
            serialized_name: MapType
            accessor:
                getter: getMapType
                setter: setMapType
            type: string
        staticLoadCapacity:
            expose: true
            access_type: public_method
            serialized_name: StaticLoadCapacity
            accessor:
                getter: getStaticLoadCapacity
                setter: setStaticLoadCapacity
            type: App\Library\Amazon\Classes\WeightDimensionType
        heatOutput:
            expose: true
            access_type: public_method
            serialized_name: HeatOutput
            accessor:
                getter: getHeatOutput
                setter: setHeatOutput
            type: App\Library\Amazon\Classes\TemperatureRatingDimensionType
        numberOfBlades:
            expose: true
            access_type: public_method
            serialized_name: NumberOfBlades
            accessor:
                getter: getNumberOfBlades
                setter: setNumberOfBlades
            type: integer
        temperatureRating:
            expose: true
            access_type: public_method
            serialized_name: TemperatureRating
            accessor:
                getter: getTemperatureRating
                setter: setTemperatureRating
            type: App\Library\Amazon\Classes\TemperatureRatingDimensionType
        bladeLength:
            expose: true
            access_type: public_method
            serialized_name: BladeLength
            accessor:
                getter: getBladeLength
                setter: setBladeLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        lensMaterial:
            expose: true
            access_type: public_method
            serialized_name: LensMaterial
            accessor:
                getter: getLensMaterial
                setter: setLensMaterial
            type: string
        lensShape:
            expose: true
            access_type: public_method
            serialized_name: LensShape
            accessor:
                getter: getLensShape
                setter: setLensShape
            type: string
        maximumHeight:
            expose: true
            access_type: public_method
            serialized_name: MaximumHeight
            accessor:
                getter: getMaximumHeight
                setter: setMaximumHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        fuelType:
            expose: true
            access_type: public_method
            serialized_name: FuelType
            accessor:
                getter: getFuelType
                setter: setFuelType
            type: string
        maximumEnergyOutput:
            expose: true
            access_type: public_method
            serialized_name: MaximumEnergyOutput
            accessor:
                getter: getMaximumEnergyOutput
                setter: setMaximumEnergyOutput
            type: App\Library\Amazon\Classes\EnergyConsumptionDimensionType
        insulationResistance:
            expose: true
            access_type: public_method
            serialized_name: InsulationResistance
            accessor:
                getter: getInsulationResistance
                setter: setInsulationResistance
            type: integer
        insulationMaterialType:
            expose: true
            access_type: public_method
            serialized_name: InsulationMaterialType
            accessor:
                getter: getInsulationMaterialType
                setter: setInsulationMaterialType
            type: string
        padType:
            expose: true
            access_type: public_method
            serialized_name: PadType
            accessor:
                getter: getPadType
                setter: setPadType
            type: string
        outerMaterialType:
            expose: true
            access_type: public_method
            serialized_name: OuterMaterialType
            accessor:
                getter: getOuterMaterialType
                setter: setOuterMaterialType
            type: string
        innerMaterialType:
            expose: true
            access_type: public_method
            serialized_name: InnerMaterialType
            accessor:
                getter: getInnerMaterialType
                setter: setInnerMaterialType
            type: string
        breakingStrength:
            expose: true
            access_type: public_method
            serialized_name: BreakingStrength
            accessor:
                getter: getBreakingStrength
                setter: setBreakingStrength
            type: App\Library\Amazon\Classes\WeightDimensionType
        minimumTorsoMeasurement:
            expose: true
            access_type: public_method
            serialized_name: MinimumTorsoMeasurement
            accessor:
                getter: getMinimumTorsoMeasurement
                setter: setMinimumTorsoMeasurement
            type: string
        tensileStrength:
            expose: true
            access_type: public_method
            serialized_name: TensileStrength
            accessor:
                getter: getTensileStrength
                setter: setTensileStrength
            type: App\Library\Amazon\Classes\WeightDimensionType
        occupancy:
            expose: true
            access_type: public_method
            serialized_name: Occupancy
            accessor:
                getter: getOccupancy
                setter: setOccupancy
            type: string
        numberOfPoles:
            expose: true
            access_type: public_method
            serialized_name: NumberOfPoles
            accessor:
                getter: getNumberOfPoles
                setter: setNumberOfPoles
            type: integer
        foldedSize:
            expose: true
            access_type: public_method
            serialized_name: FoldedSize
            accessor:
                getter: getFoldedSize
                setter: setFoldedSize
            type: string
        lightSourceType:
            expose: true
            access_type: public_method
            serialized_name: LightSourceType
            accessor:
                getter: getLightSourceType
                setter: setLightSourceType
            type: string
        lightSourceOperatingLife:
            expose: true
            access_type: public_method
            serialized_name: LightSourceOperatingLife
            accessor:
                getter: getLightSourceOperatingLife
                setter: setLightSourceOperatingLife
            type: App\Library\Amazon\Classes\BurnTimeDimensionType
        luminousIntensity:
            expose: true
            access_type: public_method
            serialized_name: LuminousIntensity
            accessor:
                getter: getLuminousIntensity
                setter: setLuminousIntensity
            type: integer
        crossSectionShape:
            expose: true
            access_type: public_method
            serialized_name: CrossSectionShape
            accessor:
                getter: getCrossSectionShape
                setter: setCrossSectionShape
            type: string
        objectiveLensDiameter:
            expose: true
            access_type: public_method
            serialized_name: ObjectiveLensDiameter
            accessor:
                getter: getObjectiveLensDiameter
                setter: setObjectiveLensDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        maximumMagnification:
            expose: true
            access_type: public_method
            serialized_name: MaximumMagnification
            accessor:
                getter: getMaximumMagnification
                setter: setMaximumMagnification
            type: float
        minimumMagnification:
            expose: true
            access_type: public_method
            serialized_name: MinimumMagnification
            accessor:
                getter: getMinimumMagnification
                setter: setMinimumMagnification
            type: float
        itemShape:
            expose: true
            access_type: public_method
            serialized_name: ItemShape
            accessor:
                getter: getItemShape
                setter: setItemShape
            type: string
        wattage:
            expose: true
            access_type: public_method
            serialized_name: Wattage
            accessor:
                getter: getWattage
                setter: setWattage
            type: App\Library\Amazon\Classes\WattageDimensionType
        seatingCapacity:
            expose: true
            access_type: public_method
            serialized_name: SeatingCapacity
            accessor:
                getter: getSeatingCapacity
                setter: setSeatingCapacity
            type: integer
        fitType:
            expose: true
            access_type: public_method
            serialized_name: FitType
            accessor:
                getter: getFitType
                setter: setFitType
            type: string
        uniformNumber:
            expose: true
            access_type: public_method
            serialized_name: UniformNumber
            accessor:
                getter: getUniformNumber
                setter: setUniformNumber
            type: string
        guardMaterialType:
            expose: true
            access_type: public_method
            serialized_name: GuardMaterialType
            accessor:
                getter: getGuardMaterialType
                setter: setGuardMaterialType
            type: string
        operationMode:
            expose: true
            access_type: public_method
            serialized_name: OperationMode
            accessor:
                getter: getOperationMode
                setter: setOperationMode
            type: string
        nativeResolution:
            expose: true
            access_type: public_method
            serialized_name: NativeResolution
            accessor:
                getter: getNativeResolution
                setter: setNativeResolution
            type: string
        powerSourceType:
            expose: true
            access_type: public_method
            serialized_name: PowerSourceType
            accessor:
                getter: getPowerSourceType
                setter: setPowerSourceType
            type: string
        specialFeatures:
            expose: true
            access_type: public_method
            serialized_name: SpecialFeatures
            accessor:
                getter: getSpecialFeatures
                setter: setSpecialFeatures
            type: string
        capacityName:
            expose: true
            access_type: public_method
            serialized_name: CapacityName
            accessor:
                getter: getCapacityName
                setter: setCapacityName
            type: App\Library\Amazon\Classes\WeightDimensionType
        includedComponents:
            expose: true
            access_type: public_method
            serialized_name: IncludedComponents
            accessor:
                getter: getIncludedComponents
                setter: setIncludedComponents
            type: string
        displayColorSupport:
            expose: true
            access_type: public_method
            serialized_name: DisplayColorSupport
            accessor:
                getter: getDisplayColorSupport
                setter: setDisplayColorSupport
            type: string
        loadCapacity:
            expose: true
            access_type: public_method
            serialized_name: LoadCapacity
            accessor:
                getter: getLoadCapacity
                setter: setLoadCapacity
            type: App\Library\Amazon\Classes\WeightDimensionType
        memoryStorageCapacity:
            expose: true
            access_type: public_method
            serialized_name: MemoryStorageCapacity
            accessor:
                getter: getMemoryStorageCapacity
                setter: setMemoryStorageCapacity
            type: App\Library\Amazon\Classes\MemorySizeDimensionType
        displaySize:
            expose: true
            access_type: public_method
            serialized_name: DisplaySize
            accessor:
                getter: getDisplaySize
                setter: setDisplaySize
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayResolutionMaximum:
            expose: true
            access_type: public_method
            serialized_name: DisplayResolutionMaximum
            accessor:
                getter: getDisplayResolutionMaximum
                setter: setDisplayResolutionMaximum
            type: string
        connectorType:
            expose: true
            access_type: public_method
            serialized_name: ConnectorType
            accessor:
                getter: getConnectorType
                setter: setConnectorType
            type: string
        specificUsesForProduct:
            expose: true
            access_type: public_method
            serialized_name: SpecificUsesForProduct
            accessor:
                getter: getSpecificUsesForProduct
                setter: setSpecificUsesForProduct
            type: string
        compatibleDevices:
            expose: true
            access_type: public_method
            serialized_name: CompatibleDevices
            accessor:
                getter: getCompatibleDevices
                setter: setCompatibleDevices
            type: string
        minimumWeightRecommendation:
            expose: true
            access_type: public_method
            serialized_name: MinimumWeightRecommendation
            accessor:
                getter: getMinimumWeightRecommendation
                setter: setMinimumWeightRecommendation
            type: App\Library\Amazon\Classes\WeightDimensionType
        maximumWeightRecommendation:
            expose: true
            access_type: public_method
            serialized_name: MaximumWeightRecommendation
            accessor:
                getter: getMaximumWeightRecommendation
                setter: setMaximumWeightRecommendation
            type: App\Library\Amazon\Classes\WeightDimensionType
        itemArea:
            expose: true
            access_type: public_method
            serialized_name: ItemArea
            accessor:
                getter: getItemArea
                setter: setItemArea
            type: App\Library\Amazon\Classes\AreaDimensionType
        maximumWeightCapacity:
            expose: true
            access_type: public_method
            serialized_name: MaximumWeightCapacity
            accessor:
                getter: getMaximumWeightCapacity
                setter: setMaximumWeightCapacity
            type: App\Library\Amazon\Classes\WeightDimensionType
        itemDiameter:
            expose: true
            access_type: public_method
            serialized_name: ItemDiameter
            accessor:
                getter: getItemDiameter
                setter: setItemDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemThickness:
            expose: true
            access_type: public_method
            serialized_name: ItemThickness
            accessor:
                getter: getItemThickness
                setter: setItemThickness
            type: App\Library\Amazon\Classes\LengthDimensionType
        pPUCount:
            expose: true
            access_type: public_method
            serialized_name: PPUCount
            accessor:
                getter: getPPUCount
                setter: setPPUCount
            type: float
        pPUCountType:
            expose: true
            access_type: public_method
            serialized_name: PPUCountType
            accessor:
                getter: getPPUCountType
                setter: setPPUCountType
            type: string
        battery:
            expose: true
            access_type: public_method
            serialized_name: Battery
            accessor:
                getter: getBattery
                setter: setBattery
            type: App\Library\Amazon\Classes\Battery
        batteryAverageLife:
            expose: true
            access_type: public_method
            serialized_name: BatteryAverageLife
            accessor:
                getter: getBatteryAverageLife
                setter: setBatteryAverageLife
            type: App\Library\Amazon\Classes\AssemblyTimeDimensionType
        lithiumBatteryEnergyContent:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryEnergyContent
            accessor:
                getter: getLithiumBatteryEnergyContent
                setter: setLithiumBatteryEnergyContent
            type: integer
        lithiumBatteryPackaging:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryPackaging
            accessor:
                getter: getLithiumBatteryPackaging
                setter: setLithiumBatteryPackaging
            type: string
        lithiumBatteryVoltage:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryVoltage
            accessor:
                getter: getLithiumBatteryVoltage
                setter: setLithiumBatteryVoltage
            type: integer
        lithiumBatteryWeight:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryWeight
            accessor:
                getter: getLithiumBatteryWeight
                setter: setLithiumBatteryWeight
            type: integer
        numberOfLithiumIonCells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLithiumIonCells
            accessor:
                getter: getNumberOfLithiumIonCells
                setter: setNumberOfLithiumIonCells
            type: integer
        numberOfLithiumMetalCells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLithiumMetalCells
            accessor:
                getter: getNumberOfLithiumMetalCells
                setter: setNumberOfLithiumMetalCells
            type: integer
        wheelType:
            expose: true
            access_type: public_method
            serialized_name: WheelType
            accessor:
                getter: getWheelType
                setter: setWheelType
            type: string
        waterResistanceTechnology:
            expose: true
            access_type: public_method
            serialized_name: WaterResistanceTechnology
            accessor:
                getter: getWaterResistanceTechnology
                setter: setWaterResistanceTechnology
            type: string
        cycleTopTubeLength:
            expose: true
            access_type: public_method
            serialized_name: CycleTopTubeLength
            accessor:
                getter: getCycleTopTubeLength
                setter: setCycleTopTubeLength
            type: App\Library\Amazon\Classes\CycleLengthDimensionType
        cycleStackHeight:
            expose: true
            access_type: public_method
            serialized_name: CycleStackHeight
            accessor:
                getter: getCycleStackHeight
                setter: setCycleStackHeight
            type: App\Library\Amazon\Classes\CycleLengthDimensionType
        cycleSeatTubeLength:
            expose: true
            access_type: public_method
            serialized_name: CycleSeatTubeLength
            accessor:
                getter: getCycleSeatTubeLength
                setter: setCycleSeatTubeLength
            type: App\Library\Amazon\Classes\CycleLengthDimensionType
        cycleSeatTubeAngle:
            expose: true
            access_type: public_method
            serialized_name: CycleSeatTubeAngle
            accessor:
                getter: getCycleSeatTubeAngle
                setter: setCycleSeatTubeAngle
            type: App\Library\Amazon\Classes\DegreeDimensionType
        cycleReachLength:
            expose: true
            access_type: public_method
            serialized_name: CycleReachLength
            accessor:
                getter: getCycleReachLength
                setter: setCycleReachLength
            type: App\Library\Amazon\Classes\CycleLengthDimensionType
        cycleHeadTubeLength:
            expose: true
            access_type: public_method
            serialized_name: CycleHeadTubeLength
            accessor:
                getter: getCycleHeadTubeLength
                setter: setCycleHeadTubeLength
            type: App\Library\Amazon\Classes\CycleLengthDimensionType
        cycleHeadTubeAngle:
            expose: true
            access_type: public_method
            serialized_name: CycleHeadTubeAngle
            accessor:
                getter: getCycleHeadTubeAngle
                setter: setCycleHeadTubeAngle
            type: App\Library\Amazon\Classes\DegreeDimensionType
        cycleEffectiveTopTubeLength:
            expose: true
            access_type: public_method
            serialized_name: CycleEffectiveTopTubeLength
            accessor:
                getter: getCycleEffectiveTopTubeLength
                setter: setCycleEffectiveTopTubeLength
            type: App\Library\Amazon\Classes\CycleLengthDimensionType
        cycleChainstayLength:
            expose: true
            access_type: public_method
            serialized_name: CycleChainstayLength
            accessor:
                getter: getCycleChainstayLength
                setter: setCycleChainstayLength
            type: App\Library\Amazon\Classes\CycleLengthDimensionType
        cycleBottomBracketHeight:
            expose: true
            access_type: public_method
            serialized_name: CycleBottomBracketHeight
            accessor:
                getter: getCycleBottomBracketHeight
                setter: setCycleBottomBracketHeight
            type: App\Library\Amazon\Classes\CycleLengthDimensionType
        cycleBottomBracketDrop:
            expose: true
            access_type: public_method
            serialized_name: CycleBottomBracketDrop
            accessor:
                getter: getCycleBottomBracketDrop
                setter: setCycleBottomBracketDrop
            type: App\Library\Amazon\Classes\CycleLengthDimensionType
        wheelBase:
            expose: true
            access_type: public_method
            serialized_name: WheelBase
            accessor:
                getter: getWheelBase
                setter: setWheelBase
            type: App\Library\Amazon\Classes\CycleLengthDimensionType
        materialFeatures:
            expose: true
            access_type: public_method
            serialized_name: MaterialFeatures
            accessor:
                getter: getMaterialFeatures
                setter: setMaterialFeatures
            type: string
        weightRange:
            expose: true
            access_type: public_method
            serialized_name: WeightRange
            accessor:
                getter: getWeightRange
                setter: setWeightRange
            type: string
        faceLength:
            expose: true
            access_type: public_method
            serialized_name: FaceLength
            accessor:
                getter: getFaceLength
                setter: setFaceLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        snowshoePartType:
            expose: true
            access_type: public_method
            serialized_name: SnowshoePartType
            accessor:
                getter: getSnowshoePartType
                setter: setSnowshoePartType
            type: string
        waterResistanceLevel:
            expose: true
            access_type: public_method
            serialized_name: WaterResistanceLevel
            accessor:
                getter: getWaterResistanceLevel
                setter: setWaterResistanceLevel
            type: string
        warrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: WarrantyDescription
            accessor:
                getter: getWarrantyDescription
                setter: setWarrantyDescription
            type: string
        waistStyle:
            expose: true
            access_type: public_method
            serialized_name: WaistStyle
            accessor:
                getter: getWaistStyle
                setter: setWaistStyle
            type: string
        sunlightExposure:
            expose: true
            access_type: public_method
            serialized_name: SunlightExposure
            accessor:
                getter: getSunlightExposure
                setter: setSunlightExposure
            type: string
        shellType:
            expose: true
            access_type: public_method
            serialized_name: ShellType
            accessor:
                getter: getShellType
                setter: setShellType
            type: string
        recommendedUsesForProduct:
            expose: true
            access_type: public_method
            serialized_name: RecommendedUsesForProduct
            accessor:
                getter: getRecommendedUsesForProduct
                setter: setRecommendedUsesForProduct
            type: string
        magnificationStrength:
            expose: true
            access_type: public_method
            serialized_name: MagnificationStrength
            accessor:
                getter: getMagnificationStrength
                setter: setMagnificationStrength
            type: integer
        liningDescription:
            expose: true
            access_type: public_method
            serialized_name: LiningDescription
            accessor:
                getter: getLiningDescription
                setter: setLiningDescription
            type: string
        lengthRange:
            expose: true
            access_type: public_method
            serialized_name: LengthRange
            accessor:
                getter: getLengthRange
                setter: setLengthRange
            type: string
        hoodDescription:
            expose: true
            access_type: public_method
            serialized_name: HoodDescription
            accessor:
                getter: getHoodDescription
                setter: setHoodDescription
            type: string
        heelType:
            expose: true
            access_type: public_method
            serialized_name: HeelType
            accessor:
                getter: getHeelType
                setter: setHeelType
            type: string
        glassType:
            expose: true
            access_type: public_method
            serialized_name: GlassType
            accessor:
                getter: getGlassType
                setter: setGlassType
            type: string
        faceWidth:
            expose: true
            access_type: public_method
            serialized_name: FaceWidth
            accessor:
                getter: getFaceWidth
                setter: setFaceWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        fabricWeight:
            expose: true
            access_type: public_method
            serialized_name: FabricWeight
            accessor:
                getter: getFabricWeight
                setter: setFabricWeight
            type: integer
        dryingPerformanceRating:
            expose: true
            access_type: public_method
            serialized_name: DryingPerformanceRating
            accessor:
                getter: getDryingPerformanceRating
                setter: setDryingPerformanceRating
            type: string
        containerType:
            expose: true
            access_type: public_method
            serialized_name: ContainerType
            accessor:
                getter: getContainerType
                setter: setContainerType
            type: string
        compatibilityOptions:
            expose: true
            access_type: public_method
            serialized_name: CompatibilityOptions
            accessor:
                getter: getCompatibilityOptions
                setter: setCompatibilityOptions
            type: string
        chainType:
            expose: true
            access_type: public_method
            serialized_name: ChainType
            accessor:
                getter: getChainType
                setter: setChainType
            type: string
        certificateType:
            expose: true
            access_type: public_method
            serialized_name: CertificateType
            accessor:
                getter: getCertificateType
                setter: setCertificateType
            type: string
        baseMaterialType:
            expose: true
            access_type: public_method
            serialized_name: BaseMaterialType
            accessor:
                getter: getBaseMaterialType
                setter: setBaseMaterialType
            type: string
        audioFeaturesDescription:
            expose: true
            access_type: public_method
            serialized_name: AudioFeaturesDescription
            accessor:
                getter: getAudioFeaturesDescription
                setter: setAudioFeaturesDescription
            type: string
        displayLength:
            expose: true
            access_type: public_method
            serialized_name: DisplayLength
            accessor:
                getter: getDisplayLength
                setter: setDisplayLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayWidth:
            expose: true
            access_type: public_method
            serialized_name: DisplayWidth
            accessor:
                getter: getDisplayWidth
                setter: setDisplayWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayHeight:
            expose: true
            access_type: public_method
            serialized_name: DisplayHeight
            accessor:
                getter: getDisplayHeight
                setter: setDisplayHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayWeight:
            expose: true
            access_type: public_method
            serialized_name: DisplayWeight
            accessor:
                getter: getDisplayWeight
                setter: setDisplayWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        displayDiameter:
            expose: true
            access_type: public_method
            serialized_name: DisplayDiameter
            accessor:
                getter: getDisplayDiameter
                setter: setDisplayDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemVolume:
            expose: true
            access_type: public_method
            serialized_name: ItemVolume
            accessor:
                getter: getItemVolume
                setter: setItemVolume
            type: App\Library\Amazon\Classes\VolumeDimensionType
        volumeCapacityName:
            expose: true
            access_type: public_method
            serialized_name: VolumeCapacityName
            accessor:
                getter: getVolumeCapacityName
                setter: setVolumeCapacityName
            type: string
        legalComplianceCertificationMetadata:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationMetadata
            accessor:
                getter: getLegalComplianceCertificationMetadata
                setter: setLegalComplianceCertificationMetadata
            type: string
        legalComplianceCertificationDateOfIssue:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationDateOfIssue
            accessor:
                getter: getLegalComplianceCertificationDateOfIssue
                setter: setLegalComplianceCertificationDateOfIssue
            type: string
        legalComplianceCertificationExpirationDate:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationExpirationDate
            accessor:
                getter: getLegalComplianceCertificationExpirationDate
                setter: setLegalComplianceCertificationExpirationDate
            type: string
